#ifndef _KGR_PATCH_BSC1115339_H
#define _KGR_PATCH_BSC1115339_H

#if !defined(CONFIG_PPC64)

int kgr_patch_bsc1115339_init(void);
void kgr_patch_bsc1115339_cleanup(void);


struct wil6210_priv;

int kgr_wmi_set_ie(struct wil6210_priv *wil, u8 type, u16 ie_len,
		   const void *ie);

#define KGR_PATCH_BSC1115339_FUNCS				\
	KGR_PATCH_OBJ(wmi_set_ie, kgr_wmi_set_ie, "wil6210"),


#else /* defined(CONFIG_PPC64) */

static inline int kgr_patch_bsc1115339_init(void) { return 0; }
static inline void kgr_patch_bsc1115339_cleanup(void) {}

#define KGR_PATCH_BSC1115339_FUNCS

#endif /* !defined(CONFIG_PPC64) */

#endif /* _KGR_PATCH_BSC1115339_H */
